# Source code for azure.cognitiveservices.language.textanalytics.models.document_statistics_py3

    # coding=utf-8
    # --------------------------------------------------------------------------
    # Copyright (c) Microsoft Corporation. All rights reserved.
    # Licensed under the MIT License. See License.txt in the project root for
    # license information.
    #
    # Code generated by Microsoft (R) AutoRest Code Generator.
    # Changes may cause incorrect behavior and will be lost if the code is
    # regenerated.
    # --------------------------------------------------------------------------

    from msrest.serialization import Model

    class DocumentStatistics(Model):
        """DocumentStatistics.

        :param characters_count: Number of text elements recognized in the
         document.
        :type characters_count: int
        :param transactions_count: Number of transactions for the document.
        :type transactions_count: int
        """

        _attribute_map = {
            'characters_count': {'key': 'charactersCount', 'type': 'int'},
            'transactions_count': {'key': 'transactionsCount', 'type': 'int'},
        }

        def __init__(self, *, characters_count: int=None, transactions_count: int=None, **kwargs) -> None:
            super(DocumentStatistics, self).__init__(**kwargs)
            self.characters_count = characters_count
            self.transactions_count = transactions_count